%{?nodejs_find_provides_and_requires}

%global packagename anymatch
%global enable_tests 1

Name:		nodejs-anymatch
Version:	1.3.0
Release:	1%{?dist}
Summary:	Matches strings against configurable items

License:	ISC
URL:		https://github.com/es128/anymatch
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/es128/anymatch/%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(arrify)
BuildRequires:	npm(micromatch)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Matches strings against configurable strings, globs, regular expressions,
and/or functions


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Jul 17 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.0-1
- Initial packaging
